<?php

namespace Container\Mail;

use Helpers\Trad\Trad;

class AoContribMail extends AbsMail
{
    public function getSujet(): string
    {
        return Trad::strBuild(
            $this->trad->t('Vous avez été ajouté en tant que contributeur à la consultation @1@'),
            $this->listeData['NO_AO'],
        );
    }

    public function getMessage(): string
    {
        return implode("\r\n", [
            $this->listeData['NOM_CONTRIB'],
            '',
            Trad::strBuild(
                $this->trad->t('Votre expertise est attendue pour évaluer les offres des fournisseurs de la consultation @1@.'),
                $this->listeData['NO_AO'],
            ),
            Trad::strBuild(
                $this->trad->t('La période d’évaluation des offres est comprise entre le @1@ et le @2@.'),
                $this->listeData['DTE_DEBUT_NOTATION'],
                $this->listeData['DTE_FIN_NOTATION'],
            ),
            $this->trad->t('En vous remerciant par avance pour votre collaboration et votre expertise.'),
            '',
            $this->trad->t('Cordialement,'),
            $this->listeData['NOM_ACH'],
        ]);
    }
}
